/* 
 5 tentacles object 1.0
 ATtiny44, 5 red LEDs, white LED, phototransistor
 The brigther the ambient light, the darker the 5 red LEDs.
 The brightness of the 5 red LEDs changes proportionally to 
 the brightness of the ambient light measured by the phototransistor. 
 */

//  int RX = 0;   // FTDI RX connected to PA1
//  int TX = 1;   // FTDI TX connected to PA0
int RL1 = 8;  // 3 red LEDs connected to PB2 PWM
int RL2 = 7;  // 2 red LEDs connected to PA7 PWM
int WL  = 2;  // white LED connected to PA2
int P  = 3;   // phototransistor connected to PA3

//  #include <SoftwareSerial.h>       // software serial library
//  SoftwareSerial mySerial(RX, TX);  // serial communication

void setup() {
//  pinMode(RX, INPUT);   
//  pinMode(TX, OUTPUT);
  pinMode(RL1, OUTPUT);
  pinMode(RL2, OUTPUT);
  //  pinMode(WL, OUTPUT);
  pinMode(P, INPUT);  
//  mySerial.begin(9600);
}

void loop() {
  int AL = analogRead(P);  // ambient light
  AL = map(AL, 0, 1023, 255, 0);
  analogWrite(RL1, AL);
  analogWrite(RL2, AL);
}

